commit:     35955eb9f11cf884675ef4280cc64af6b4415cbe
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 10 21:03:39 2017 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sun Sep 10 21:03:39 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=35955eb9

dev-cpp/yaml-cpp: yaml-cpp makes static links to boost bug 628360

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-cpp/yaml-cpp/yaml-cpp-0.5.3-r1.ebuild | 37 +++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/dev-cpp/yaml-cpp/yaml-cpp-0.5.3-r1.ebuild 
b/dev-cpp/yaml-cpp/yaml-cpp-0.5.3-r1.ebuild
new file mode 100644
index 00000000000..6bf29f127ca
--- /dev/null
+++ b/dev-cpp/yaml-cpp/yaml-cpp-0.5.3-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils
+
+DESCRIPTION="YAML parser and emitter in C++"
+HOMEPAGE="https://github.com/jbeder/yaml-cpp";
+SRC_URI="https://github.com/jbeder/${PN}/archive/release-${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+DEPEND=">=dev-libs/boost-1.49.0-r2:="
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN}-release-${PV}"
+
+PATCHES=( "${FILESDIR}"/${P}-gcc6.patch )
+
+src_prepare() {
+       sed -i \
+               -e 's:INCLUDE_INSTALL_ROOT_DIR:INCLUDE_INSTALL_DIR:g' \
+               yaml-cpp.pc.cmake || die
+
+       cmake-utils_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DBUILD_SHARED_LIBS=ON
+       )
+       cmake-utils_src_configure
+}

Reply via email to